
# Babarchive Changes

## 1.2 2016-01-26

* bugfix: fixed error processing old sha1 archives.
* bugfix: add cronie-anacron dependence

## 1.1 2016-01-26

New features:

* actually passes Fedora COPR packaging

## 1.0 2016-01-26

New features:

* manual pages
* pushed through Fedora COPR for proper packaging

## 0.8 2016-01-26

After many years of internal use, this verison reflects major cleanup for packaging.

New features:
* supports sha256
* new files are .shasum.fsdb (.sha1sum.jdb retained for backwards compatibility)
* test suite

Incompatible changes:
* queue goes to .config/babarchive (not .archive_check); root goes to /var/spool/babarchive
* parallel computation is now -j, not -p (to match make)
* algorithm is now -a not -A, to match shasum
* evrything renamed to start with babarchive (no more "cdrom")
* babarchive_update_file and babarchive_update_ls-lR are only partially ported  
  and are not yet installed.


## unreleased 2015-06-03

Merged independent work by johnh and yuri into one place;
renamed to tool babarchive.


## unreleased 2007 to 2015

Yuri rewrites the project version to add features:

* avoid double-computing chekcsums
* support parallel computation


## unreleased 2007-08-07

Cleanup for project use.


## unreleased 2006-01-07

Added sha1 support (in addition to prior md5 support).


## unreleaed 2001-05-22

Generalized to target backup to CD-ROM.


## unreleased 1998-09-23

Initial version to checksum archived data.


# Roadmap

Desired features:

* systemd support, with anacron for older systems
* packaging for Debian or Ubuntu
* finish porting `babarchive_update_*`
* automate port from manual page into scripts
* finish removing sed as a dependency
